package com.ruoyi.web.controller.agentcenter;

import com.ruoyi.agentcenter.dto.AbnormalTask;
import com.ruoyi.agentcenter.service.IAbnormalTaskService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 会计异常任务Controller
 * 
 * @author zhao
 * @date 2023-05-06
 */
@RestController
@RequestMapping("/accounting/task")
public class AccountingAbnormalTaskController extends BaseController
{
    @Autowired
    private IAbnormalTaskService abnormalTaskService;

    /**
     * 异常任务列表
     */
    @PreAuthorize("@ss.hasPermi('agentcenter:task:list')")
    @GetMapping(value = "/abnormalTaskList")
    public TableDataInfo abnormalTaskList(AbnormalTask task)
    {
        startPage();
        task.setAgentCenter(getUserAgentCenter());
        task.setHandleUser(getUsername());
        return getDataTable(abnormalTaskService.getAbnormalTaskList(task));
    }

    /**
     * 异常任务统计
     */
    @PreAuthorize("@ss.hasPermi('agentcenter:task:query')")
    @GetMapping(value = "/abnormalTaskSummary")
    public AjaxResult abnormalTaskSummary(AbnormalTask task)
    {
        task.setAgentCenter(getUserAgentCenter());
        task.setHandleUser(getUsername());
        return AjaxResult.success(abnormalTaskService.abnormalTaskSummary(task));
    }

}
