package com.ruoyi.web.controller.agentcenter;

import com.ruoyi.agentcenter.service.ITAgentTaskService;
import com.ruoyi.agentcenter.vo.AgentTaskUser;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 会计任务用户Controller
 * 
 * @author zhao
 * @date 2023-05-06
 */
@RestController
@RequestMapping("/task/user")
public class AgentTaskUserController extends BaseController
{
    @Autowired
    private ITAgentTaskService agentTaskService;

    /**
     * 分配用户列表
     */
    @PreAuthorize("@ss.hasPermi('agentcenter:task:list')")
    @GetMapping(value = "/userList")
    public TableDataInfo userList(AgentTaskUser agentTaskUser)
    {
        startPage();
        agentTaskUser.setAgentCenter(getUserAgentCenter());
        return getDataTable(agentTaskService.userList(agentTaskUser));
    }
}
